<!DOCTYPE html>
<html>
<head>
    
    <title>DVC Plot</title>
    <script src="https://cdn.jsdelivr.net/npm/vega@5.20.2"></script>
    <script src="https://cdn.jsdelivr.net/npm/vega-lite@5.1.0"></script>
    <script src="https://cdn.jsdelivr.net/npm/vega-embed@6.18.2"></script>
</head>
<body>
    
    <div id = "plot_prc_json">
        <script type = "text/javascript">
            var spec = {
    "$schema": "https://vega.github.io/schema/vega-lite/v4.json",
    "data": {
        "values": [
    {
        "precision": 0.021473008227975116,
        "recall": 1.0,
        "rev": "workspace",
        "threshold": 0.0
    },
    {
        "precision": 0.06954612005856516,
        "recall": 0.8878504672897196,
        "rev": "workspace",
        "threshold": 0.02
    },
    {
        "precision": 0.16460176991150444,
        "recall": 0.8691588785046729,
        "rev": "workspace",
        "threshold": 0.04
    },
    {
        "precision": 0.24369747899159663,
        "recall": 0.8130841121495327,
        "rev": "workspace",
        "threshold": 0.06
    },
    {
        "precision": 0.3333333333333333,
        "recall": 0.794392523364486,
        "rev": "workspace",
        "threshold": 0.08
    },
    {
        "precision": 0.39215686274509803,
        "recall": 0.7476635514018691,
        "rev": "workspace",
        "threshold": 0.1
    },
    {
        "precision": 0.46060606060606063,
        "recall": 0.7102803738317757,
        "rev": "workspace",
        "threshold": 0.12
    },
    {
        "precision": 0.4900662251655629,
        "recall": 0.6915887850467289,
        "rev": "workspace",
        "threshold": 0.14
    },
    {
        "precision": 0.5625,
        "recall": 0.6728971962616822,
        "rev": "workspace",
        "threshold": 0.16
    },
    {
        "precision": 0.5726495726495726,
        "recall": 0.6261682242990654,
        "rev": "workspace",
        "threshold": 0.18
    },
    {
        "precision": 0.5784313725490197,
        "recall": 0.5514018691588785,
        "rev": "workspace",
        "threshold": 0.2
    },
    {
        "precision": 0.5979381443298969,
        "recall": 0.5420560747663551,
        "rev": "workspace",
        "threshold": 0.22
    },
    {
        "precision": 0.6419753086419753,
        "recall": 0.48598130841121495,
        "rev": "workspace",
        "threshold": 0.24
    },
    {
        "precision": 0.6527777777777778,
        "recall": 0.4392523364485981,
        "rev": "workspace",
        "threshold": 0.26
    },
    {
        "precision": 0.6666666666666666,
        "recall": 0.3925233644859813,
        "rev": "workspace",
        "threshold": 0.28
    },
    {
        "precision": 0.7192982456140351,
        "recall": 0.38317757009345793,
        "rev": "workspace",
        "threshold": 0.3
    },
    {
        "precision": 0.717391304347826,
        "recall": 0.308411214953271,
        "rev": "workspace",
        "threshold": 0.32
    },
    {
        "precision": 0.775,
        "recall": 0.2897196261682243,
        "rev": "workspace",
        "threshold": 0.34
    },
    {
        "precision": 0.7647058823529411,
        "recall": 0.24299065420560748,
        "rev": "workspace",
        "threshold": 0.36
    },
    {
        "precision": 0.7692307692307693,
        "recall": 0.18691588785046728,
        "rev": "workspace",
        "threshold": 0.38
    },
    {
        "precision": 0.8571428571428571,
        "recall": 0.16822429906542055,
        "rev": "workspace",
        "threshold": 0.4
    },
    {
        "precision": 0.8,
        "recall": 0.11214953271028037,
        "rev": "workspace",
        "threshold": 0.42
    },
    {
        "precision": 0.9090909090909091,
        "recall": 0.09345794392523364,
        "rev": "workspace",
        "threshold": 0.44
    },
    {
        "precision": 0.8888888888888888,
        "recall": 0.07476635514018691,
        "rev": "workspace",
        "threshold": 0.46
    },
    {
        "precision": 1.0,
        "recall": 0.04672897196261682,
        "rev": "workspace",
        "threshold": 0.48
    },
    {
        "precision": 1.0,
        "recall": 0.018691588785046728,
        "rev": "workspace",
        "threshold": 0.54
    },
    {
        "precision": 1.0,
        "recall": 0.009345794392523364,
        "rev": "workspace",
        "threshold": 0.6
    },
    {
        "precision": 0.021473008227975116,
        "recall": 1.0,
        "rev": "HEAD",
        "threshold": 0.0
    },
    {
        "precision": 0.06702619414483821,
        "recall": 0.8130841121495327,
        "rev": "HEAD",
        "threshold": 0.02
    },
    {
        "precision": 0.1537037037037037,
        "recall": 0.7757009345794392,
        "rev": "HEAD",
        "threshold": 0.04
    },
    {
        "precision": 0.24691358024691357,
        "recall": 0.7476635514018691,
        "rev": "HEAD",
        "threshold": 0.06
    },
    {
        "precision": 0.3168724279835391,
        "recall": 0.719626168224299,
        "rev": "HEAD",
        "threshold": 0.08
    },
    {
        "precision": 0.37438423645320196,
        "recall": 0.7102803738317757,
        "rev": "HEAD",
        "threshold": 0.1
    },
    {
        "precision": 0.4180790960451977,
        "recall": 0.6915887850467289,
        "rev": "HEAD",
        "threshold": 0.12
    },
    {
        "precision": 0.46153846153846156,
        "recall": 0.6728971962616822,
        "rev": "HEAD",
        "threshold": 0.14
    },
    {
        "precision": 0.4676258992805755,
        "recall": 0.6074766355140186,
        "rev": "HEAD",
        "threshold": 0.16
    },
    {
        "precision": 0.5245901639344263,
        "recall": 0.5981308411214953,
        "rev": "HEAD",
        "threshold": 0.18
    },
    {
        "precision": 0.5478260869565217,
        "recall": 0.5887850467289719,
        "rev": "HEAD",
        "threshold": 0.2
    },
    {
        "precision": 0.5648148148148148,
        "recall": 0.5700934579439252,
        "rev": "HEAD",
        "threshold": 0.22
    },
    {
        "precision": 0.6276595744680851,
        "recall": 0.5514018691588785,
        "rev": "HEAD",
        "threshold": 0.24
    },
    {
        "precision": 0.6790123456790124,
        "recall": 0.514018691588785,
        "rev": "HEAD",
        "threshold": 0.26
    },
    {
        "precision": 0.6794871794871795,
        "recall": 0.4953271028037383,
        "rev": "HEAD",
        "threshold": 0.28
    },
    {
        "precision": 0.7183098591549296,
        "recall": 0.4766355140186916,
        "rev": "HEAD",
        "threshold": 0.3
    },
    {
        "precision": 0.71875,
        "recall": 0.42990654205607476,
        "rev": "HEAD",
        "threshold": 0.32
    },
    {
        "precision": 0.7454545454545455,
        "recall": 0.38317757009345793,
        "rev": "HEAD",
        "threshold": 0.34
    },
    {
        "precision": 0.76,
        "recall": 0.35514018691588783,
        "rev": "HEAD",
        "threshold": 0.36
    },
    {
        "precision": 0.7674418604651163,
        "recall": 0.308411214953271,
        "rev": "HEAD",
        "threshold": 0.38
    },
    {
        "precision": 0.7631578947368421,
        "recall": 0.27102803738317754,
        "rev": "HEAD",
        "threshold": 0.4
    },
    {
        "precision": 0.7741935483870968,
        "recall": 0.22429906542056074,
        "rev": "HEAD",
        "threshold": 0.42
    },
    {
        "precision": 0.7777777777777778,
        "recall": 0.19626168224299065,
        "rev": "HEAD",
        "threshold": 0.44
    },
    {
        "precision": 0.7727272727272727,
        "recall": 0.1588785046728972,
        "rev": "HEAD",
        "threshold": 0.46
    },
    {
        "precision": 0.7777777777777778,
        "recall": 0.1308411214953271,
        "rev": "HEAD",
        "threshold": 0.48
    },
    {
        "precision": 0.7692307692307693,
        "recall": 0.09345794392523364,
        "rev": "HEAD",
        "threshold": 0.5
    },
    {
        "precision": 0.8,
        "recall": 0.07476635514018691,
        "rev": "HEAD",
        "threshold": 0.52
    },
    {
        "precision": 0.5,
        "recall": 0.018691588785046728,
        "rev": "HEAD",
        "threshold": 0.56
    },
    {
        "precision": 0.6666666666666666,
        "recall": 0.018691588785046728,
        "rev": "HEAD",
        "threshold": 0.6
    },
    {
        "precision": 1.0,
        "recall": 0.018691588785046728,
        "rev": "HEAD",
        "threshold": 0.66
    }
]
    },
    "title": "",
    "width": 300,
    "height": 300,
    "mark": {
        "type": "line"
    },
    "encoding": {
        "x": {
            "field": "recall",
            "type": "quantitative",
            "title": "recall"
        },
        "y": {
            "field": "precision",
            "type": "quantitative",
            "title": "precision",
            "scale": {
                "zero": false
            }
        },
        "color": {
            "field": "rev",
            "type": "nominal"
        }
    }
}
;
            vegaEmbed('#plot_prc_json', spec);
        </script>
    </div>
    

    <div id = "plot_roc_json">
        <script type = "text/javascript">
            var spec = {
    "$schema": "https://vega.github.io/schema/vega-lite/v4.json",
    "data": {
        "values": [
    {
        "fpr": 0.0,
        "rev": "workspace",
        "threshold": 1.6,
        "tpr": 0.0
    },
    {
        "fpr": 0.0,
        "rev": "workspace",
        "threshold": 0.6,
        "tpr": 0.009345794392523364
    },
    {
        "fpr": 0.0,
        "rev": "workspace",
        "threshold": 0.54,
        "tpr": 0.018691588785046728
    },
    {
        "fpr": 0.0,
        "rev": "workspace",
        "threshold": 0.48,
        "tpr": 0.04672897196261682
    },
    {
        "fpr": 0.00020508613617719443,
        "rev": "workspace",
        "threshold": 0.46,
        "tpr": 0.07476635514018691
    },
    {
        "fpr": 0.00020508613617719443,
        "rev": "workspace",
        "threshold": 0.44,
        "tpr": 0.09345794392523364
    },
    {
        "fpr": 0.0006152584085315833,
        "rev": "workspace",
        "threshold": 0.42,
        "tpr": 0.11214953271028037
    },
    {
        "fpr": 0.0006152584085315833,
        "rev": "workspace",
        "threshold": 0.4,
        "tpr": 0.16822429906542055
    },
    {
        "fpr": 0.0012305168170631665,
        "rev": "workspace",
        "threshold": 0.38,
        "tpr": 0.18691588785046728
    },
    {
        "fpr": 0.0016406890894175555,
        "rev": "workspace",
        "threshold": 0.36,
        "tpr": 0.24299065420560748
    },
    {
        "fpr": 0.0018457752255947497,
        "rev": "workspace",
        "threshold": 0.34,
        "tpr": 0.2897196261682243
    },
    {
        "fpr": 0.0026661197703035273,
        "rev": "workspace",
        "threshold": 0.32,
        "tpr": 0.308411214953271
    },
    {
        "fpr": 0.003281378178835111,
        "rev": "workspace",
        "threshold": 0.3,
        "tpr": 0.38317757009345793
    },
    {
        "fpr": 0.004306808859721083,
        "rev": "workspace",
        "threshold": 0.28,
        "tpr": 0.3925233644859813
    },
    {
        "fpr": 0.005947497949138638,
        "rev": "workspace",
        "threshold": 0.24,
        "tpr": 0.48598130841121495
    },
    {
        "fpr": 0.007998359310910582,
        "rev": "workspace",
        "threshold": 0.22,
        "tpr": 0.5420560747663551
    },
    {
        "fpr": 0.00881870385561936,
        "rev": "workspace",
        "threshold": 0.2,
        "tpr": 0.5514018691588785
    },
    {
        "fpr": 0.010254306808859722,
        "rev": "workspace",
        "threshold": 0.18,
        "tpr": 0.6261682242990654
    },
    {
        "fpr": 0.011484823625922888,
        "rev": "workspace",
        "threshold": 0.16,
        "tpr": 0.6728971962616822
    },
    {
        "fpr": 0.01579163248564397,
        "rev": "workspace",
        "threshold": 0.14,
        "tpr": 0.6915887850467289
    },
    {
        "fpr": 0.018252666119770302,
        "rev": "workspace",
        "threshold": 0.12,
        "tpr": 0.7102803738317757
    },
    {
        "fpr": 0.02543068088597211,
        "rev": "workspace",
        "threshold": 0.1,
        "tpr": 0.7476635514018691
    },
    {
        "fpr": 0.034864643150123054,
        "rev": "workspace",
        "threshold": 0.08,
        "tpr": 0.794392523364486
    },
    {
        "fpr": 0.055373256767842494,
        "rev": "workspace",
        "threshold": 0.06,
        "tpr": 0.8130841121495327
    },
    {
        "fpr": 0.09680065627563576,
        "rev": "workspace",
        "threshold": 0.04,
        "tpr": 0.8691588785046729
    },
    {
        "fpr": 0.2606644790812141,
        "rev": "workspace",
        "threshold": 0.02,
        "tpr": 0.8878504672897196
    },
    {
        "fpr": 1.0,
        "rev": "workspace",
        "threshold": 0.0,
        "tpr": 1.0
    },
    {
        "fpr": 0.0,
        "rev": "HEAD",
        "threshold": 1.6600000000000001,
        "tpr": 0.0
    },
    {
        "fpr": 0.0,
        "rev": "HEAD",
        "threshold": 0.66,
        "tpr": 0.018691588785046728
    },
    {
        "fpr": 0.00041017227235438887,
        "rev": "HEAD",
        "threshold": 0.56,
        "tpr": 0.018691588785046728
    },
    {
        "fpr": 0.00041017227235438887,
        "rev": "HEAD",
        "threshold": 0.52,
        "tpr": 0.07476635514018691
    },
    {
        "fpr": 0.0006152584085315833,
        "rev": "HEAD",
        "threshold": 0.5,
        "tpr": 0.09345794392523364
    },
    {
        "fpr": 0.0008203445447087777,
        "rev": "HEAD",
        "threshold": 0.48,
        "tpr": 0.1308411214953271
    },
    {
        "fpr": 0.001025430680885972,
        "rev": "HEAD",
        "threshold": 0.46,
        "tpr": 0.1588785046728972
    },
    {
        "fpr": 0.0012305168170631665,
        "rev": "HEAD",
        "threshold": 0.44,
        "tpr": 0.19626168224299065
    },
    {
        "fpr": 0.001435602953240361,
        "rev": "HEAD",
        "threshold": 0.42,
        "tpr": 0.22429906542056074
    },
    {
        "fpr": 0.0018457752255947497,
        "rev": "HEAD",
        "threshold": 0.4,
        "tpr": 0.27102803738317754
    },
    {
        "fpr": 0.002050861361771944,
        "rev": "HEAD",
        "threshold": 0.38,
        "tpr": 0.308411214953271
    },
    {
        "fpr": 0.002461033634126333,
        "rev": "HEAD",
        "threshold": 0.36,
        "tpr": 0.35514018691588783
    },
    {
        "fpr": 0.002871205906480722,
        "rev": "HEAD",
        "threshold": 0.34,
        "tpr": 0.38317757009345793
    },
    {
        "fpr": 0.0036915504511894994,
        "rev": "HEAD",
        "threshold": 0.32,
        "tpr": 0.42990654205607476
    },
    {
        "fpr": 0.004101722723543888,
        "rev": "HEAD",
        "threshold": 0.3,
        "tpr": 0.4766355140186916
    },
    {
        "fpr": 0.005127153404429861,
        "rev": "HEAD",
        "threshold": 0.28,
        "tpr": 0.4953271028037383
    },
    {
        "fpr": 0.005332239540607055,
        "rev": "HEAD",
        "threshold": 0.26,
        "tpr": 0.514018691588785
    },
    {
        "fpr": 0.007178014766201805,
        "rev": "HEAD",
        "threshold": 0.24,
        "tpr": 0.5514018691588785
    },
    {
        "fpr": 0.009639048400328138,
        "rev": "HEAD",
        "threshold": 0.22,
        "tpr": 0.5700934579439252
    },
    {
        "fpr": 0.01066447908121411,
        "rev": "HEAD",
        "threshold": 0.2,
        "tpr": 0.5887850467289719
    },
    {
        "fpr": 0.011894995898277276,
        "rev": "HEAD",
        "threshold": 0.18,
        "tpr": 0.5981308411214953
    },
    {
        "fpr": 0.015176374077112387,
        "rev": "HEAD",
        "threshold": 0.16,
        "tpr": 0.6074766355140186
    },
    {
        "fpr": 0.017227235438884332,
        "rev": "HEAD",
        "threshold": 0.14,
        "tpr": 0.6728971962616822
    },
    {
        "fpr": 0.021123872026251024,
        "rev": "HEAD",
        "threshold": 0.12,
        "tpr": 0.6915887850467289
    },
    {
        "fpr": 0.026045939294503693,
        "rev": "HEAD",
        "threshold": 0.1,
        "tpr": 0.7102803738317757
    },
    {
        "fpr": 0.034044298605414275,
        "rev": "HEAD",
        "threshold": 0.08,
        "tpr": 0.719626168224299
    },
    {
        "fpr": 0.05004101722723544,
        "rev": "HEAD",
        "threshold": 0.06,
        "tpr": 0.7476635514018691
    },
    {
        "fpr": 0.09372436423297785,
        "rev": "HEAD",
        "threshold": 0.04,
        "tpr": 0.7757009345794392
    },
    {
        "fpr": 0.24835931091058244,
        "rev": "HEAD",
        "threshold": 0.02,
        "tpr": 0.8130841121495327
    },
    {
        "fpr": 1.0,
        "rev": "HEAD",
        "threshold": 0.0,
        "tpr": 1.0
    }
]
    },
    "title": "",
    "width": 300,
    "height": 300,
    "mark": {
        "type": "line"
    },
    "encoding": {
        "x": {
            "field": "fpr",
            "type": "quantitative",
            "title": "fpr"
        },
        "y": {
            "field": "tpr",
            "type": "quantitative",
            "title": "tpr",
            "scale": {
                "zero": false
            }
        },
        "color": {
            "field": "rev",
            "type": "nominal"
        }
    }
}
;
            vegaEmbed('#plot_roc_json', spec);
        </script>
    </div>
    
</body>
</html>